Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Ofcas.Lk.Api.Client.Ui.ProjectInformationContainerUi Class Reference

ProjectInformationContainerUi contains methods to manage ProjectInformations. Specifically, ProjectInformationContainerUi provides methods that require a user interaction. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Ui.ProjectInformationContainerUi:

## Public Member Functions
OperationInfo | CanShow ()
| Checks whether an ProjectInformation can be shown or not. More...
DialogResult< IList< ProjectInformationInfo > > | ShowModal ()
| Shows a dialog to manage an ProjectInformation via user interface. More...
void | SetApplicationHandle (IntPtr uiHandle)
| Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,long,System.TimeSpan)). More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.ProjectInformationContainer
override ProjectInformation | GetChild (ProjectInformationInfo childInfo)
override ProjectInformationInfo | RefreshChild (ProjectInformationInfo childInfo)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectInformation, ProjectInformationInfo >
void | DisposeChild (ICoreObject coreObject)
bool | IsParentOf (ICoreObject coreObject)
abstract TChildInfo | RefreshChild (TChildInfo childInfo)
void | RefreshChildren ()
virtual TChild | GetChild (TChildInfo childInfo)
virtual IList< TChild > | GetChildren (IEnumerable< TChildInfo > childrenInfos=null)
virtual OperationInfo | CanCreateChild ()
virtual TChildInfo | CreateChild ()
virtual OperationInfo | CanDeleteChild (TChildInfo childInfo)
virtual void | DeleteChild (TChildInfo childInfo)
virtual OperationInfo | CanMoveFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | MoveFrom (ICoreInfo coreInfo)
virtual OperationInfo | CanCopyFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | CopyFrom (ICoreInfo coreInfo)

## Public Attributes
new ProjectUi | Parent => (ProjectUi) base.Parent
| The parent of this object. More...

## Protected Member Functions
override ProjectInformation | CreateNewInstance (Guid coreObjectId, ProjectInformationInfo projectInformationInfo)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.ProjectInformationContainer
override IEnumerable< ProjectInformationInfo > | GetChildrenInfos ()
| Gets the children infos.
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectInformation, ProjectInformationInfo >
| CoreObjectWithChildren (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
TChildInfo | RefreshChild (Predicate< TChildInfo > predicate, object childInformation)
| Refreshes all infos and returns the appropriate info. More...

## Additional Inherited Members
Properties inherited from Ofcas.Lk.Api.Client.Core.ProjectInformationContainer
Project | Parent`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< ProjectInformation, ProjectInformationInfo >
IList< TChildInfo > | ChildrenInfos`[get, protected set]`

## Detailed Description

ProjectInformationContainerUi contains methods to manage ProjectInformations. Specifically, ProjectInformationContainerUi provides methods that require a user interaction.

## Member Function Documentation

## ◆ CanShow()

OperationInfo Ofcas.Lk.Api.Client.Ui.ProjectInformationContainerUi.CanShow | ( |  | ) |

Checks whether an ProjectInformation can be shown or not.

Returns
  Returns an OperationInfo.

## ◆ SetApplicationHandle()

void Ofcas.Lk.Api.Client.Ui.ProjectInformationContainerUi.SetApplicationHandle | ( | IntPtr | uiHandle | ) |

Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,long,System.TimeSpan)).

Parameters

  uiHandle | the ui handle to be used for opened user interfaces from this class.

## ◆ ShowModal()

DialogResult<IList<ProjectInformationInfo> > Ofcas.Lk.Api.Client.Ui.ProjectInformationContainerUi.ShowModal | ( |  | ) |

Shows a dialog to manage an ProjectInformation via user interface.

## Member Data Documentation

## ◆ Parent

new ProjectUi Ofcas.Lk.Api.Client.Ui.ProjectInformationContainerUi.Parent => (ProjectUi) base.Parent

The parent of this object.

The documentation for this class was generated from the following file:

- ProjectInformationContainerUi.cs